Package com.omnisci.thrift.server

## Enum TSerializedRows._Fields

- java.lang.Object
- - java.lang.Enum<TSerializedRows._Fields>
  - - com.omnisci.thrift.server.TSerializedRows._Fields

All Implemented Interfaces:
  `Serializable`, `Comparable<TSerializedRows._Fields>`, `org.apache.thrift.TFieldIdEnum`

Enclosing class:
  TSerializedRows

    public static enum TSerializedRows._Fields
    extends Enum<TSerializedRows._Fields>
    implements org.apache.thrift.TFieldIdEnum

The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Enum Constant Summary

Enum Constants
`BUFFER_LENGTHS`
`BUFFERS`
`BUFFERS_TOTAL_SIZE`
`COUNT_DISTINCT_SETS`
`DESCRIPTOR`
`EXPLANATION`
`TARGET_INIT_VALS`
`TARGETS`
`TOTAL_COMPRESSION_TIME_MS`
`VARLEN_BUFFER`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TSerializedRows._Fields` `findByName​(String name)` Find the _Fields constant that matches name, or null if its not found.
`static TSerializedRows._Fields` `findByThriftId​(int fieldId)` Find the _Fields constant that matches fieldId, or null if its not found.
`static TSerializedRows._Fields` `findByThriftIdOrThrow​(int fieldId)` Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
`String` `getFieldName()`
`short` `getThriftFieldId()`
`static TSerializedRows._Fields` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static TSerializedRows._Fields[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BUFFERS

    public static final TSerializedRows._Fields BUFFERS

#### BUFFER_LENGTHS

    public static final TSerializedRows._Fields BUFFER_LENGTHS

#### BUFFERS_TOTAL_SIZE

    public static final TSerializedRows._Fields BUFFERS_TOTAL_SIZE

#### TOTAL_COMPRESSION_TIME_MS

    public static final TSerializedRows._Fields TOTAL_COMPRESSION_TIME_MS

#### DESCRIPTOR

    public static final TSerializedRows._Fields DESCRIPTOR

#### TARGETS

    public static final TSerializedRows._Fields TARGETS

#### TARGET_INIT_VALS

    public static final TSerializedRows._Fields TARGET_INIT_VALS

#### VARLEN_BUFFER

    public static final TSerializedRows._Fields VARLEN_BUFFER

#### COUNT_DISTINCT_SETS

    public static final TSerializedRows._Fields COUNT_DISTINCT_SETS

#### EXPLANATION

    public static final TSerializedRows._Fields EXPLANATION

### Method Detail

#### values

    public static TSerializedRows._Fields[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TSerializedRows._Fields c : TSerializedRows._Fields.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TSerializedRows._Fields valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### findByThriftId

    public static TSerializedRows._Fields findByThriftId​(int fieldId)

Find the _Fields constant that matches fieldId, or null if its not found.

#### findByThriftIdOrThrow

    public static TSerializedRows._Fields findByThriftIdOrThrow​(int fieldId)

Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

#### findByName

    public static TSerializedRows._Fields findByName​(String name)

Find the _Fields constant that matches name, or null if its not found.

#### getThriftFieldId

    public short getThriftFieldId()

Specified by:
  `getThriftFieldId` in interface `org.apache.thrift.TFieldIdEnum`

#### getFieldName

    public String getFieldName()

Specified by:
  `getFieldName` in interface `org.apache.thrift.TFieldIdEnum`